Summary:	X.org keyboard input drivers
Summary(pl.UTF-8):	Sterowniki wejściowe klawiatury dla X.org
Name:		xorg-driver-input-keyboard
Version:	1.9.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-keyboard-%{version}.tar.bz2
# Source0-md5:	a3a3f0dd32361dcdbd406e894dafe090
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.10
BuildRequires:	rpmbuild(macros) >= 1.389
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org keyboard input drivers. They support the standard OS-provided
keyboard interface.

%description -l pl.UTF-8
Sterowniki wejściowe klawiatury dla X.org. Obsługują standardowy
interfejs klawiatury udostępniany przez system operacyjny.

%prep
%setup -q -n xf86-input-keyboard-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/input/kbd_drv.so
%{_mandir}/man4/kbd.4*
%changelog
* Thu Mar 15 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-driver-input-keyboard.git;a=log;h=f746187588511864bdf4557de7c936ad940a8b41

* Wed Nov 23 2016 Jakub Bogusz <qboosh@pld-linux.org> f746187
- updated dependencies

* Sun Nov 20 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e03c622
- up to 1.9.0

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> 240ebda
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 1fffe6d
- release 2 (by relup.sh)

* Tue Apr 07 2015 Jakub Bogusz <qboosh@pld-linux.org> d3b3aab
- updated to 1.8.1

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> cd384d4
- xserver rebuild
- release 4 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6ae7afb
- xserver rebuild
- release 3 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> ac3f447
- release 2 (by relup.sh)

* Sat Nov 02 2013 Jakub Bogusz <qboosh@pld-linux.org> abae5b1
- updated to 1.8.0

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 0349c75
- updated to 1.7.0

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 68f965b
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7b42529
- release 2 (by relup.sh)

* Wed Jul 25 2012 Jakub Bogusz <qboosh@pld-linux.org> a472895
- updated to 1.6.2

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4057079
- release 2

* Wed Jan 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 27696dd
- updated to 1.6.1

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f21eea4
- release 2

* Tue Mar 08 2011 Jakub Bogusz <qboosh@pld-linux.org> b6967e9
- updated to 1.6.0

* Wed Mar 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 8ac8f19
- updated BRs: xserver version up to 1.4, removed all indirect-only dependencies

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e87db5
- up to 1.5.99.901

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2484d2d
- release 3

